Remaster
curl --request POST \
--url https://api.mountsea.ai/suno/v2/remaster \
--header 'Content-Type: application/json' \
--data '
{
"clip_id": "<string>",
"model_name": "<string>",
"variation_category": "<string>",
"style_profile": "<string>"
}
'import requests
url = "https://api.mountsea.ai/suno/v2/remaster"
payload = {
"clip_id": "<string>",
"model_name": "<string>",
"variation_category": "<string>",
"style_profile": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
clip_id: '<string>',
model_name: '<string>',
variation_category: '<string>',
style_profile: '<string>'
})
};
fetch('https://api.mountsea.ai/suno/v2/remaster', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"taskId": "<string>"
}Suno
Remaster
Remaster audio with enhanced quality
POST
/
suno
/
v2
/
remaster
Remaster
Remaster an existing audio clip to enhance its quality using different model versions.
Request Body
string
required
The audio clip ID to remaster.
string
required
Official remaster name, or the public alias
chirp-v6. Omit unused new fields to keep current-line behavior.| Value | Description |
|---|---|
chirp-carp | Official v5 remaster |
chirp-bass | Official v4.5+ remaster |
chirp-halibut | Official v6 remaster |
chirp-v6 | Public alias for v6 remaster |
string
Optional.
subtle / normal / high. Omit to skip sending it upstream.string
Optional remaster style profile (e.g.
clarity). Sent upstream only when you pass it.Response
string
The task ID. Use this to query task status via Get Task Status.
Example
curl -X POST https://api.mountsea.ai/suno/v2/remaster \
-H "Content-Type: application/json" \
-H "Authorization: Bearer your-api-key" \
-d '{
"clip_id": "your-clip-id",
"model_name": "chirp-carp",
"variation_category": "high"
}'
const response = await fetch('https://api.mountsea.ai/suno/v2/remaster', {
method: 'POST',
headers: {
'Content-Type': 'application/json',
'Authorization': 'Bearer your-api-key'
},
body: JSON.stringify({
clip_id: 'your-clip-id',
model_name: 'chirp-carp',
variation_category: 'high'
})
});
const data = await response.json();
console.log(data.taskId);
import requests
response = requests.post(
'https://api.mountsea.ai/suno/v2/remaster',
headers={
'Content-Type': 'application/json',
'Authorization': 'Bearer your-api-key'
},
json={
'clip_id': 'your-clip-id',
'model_name': 'chirp-carp',
'variation_category': 'high'
}
)
data = response.json()
print(data['taskId'])
Response Example
{
"taskId": "15c257ff-43f7-4678-bd41-202ad6b8488b"
}
After submitting a remaster request, use the returned
taskId to poll the Task Status endpoint to get the result.